import { defineConfig } from "umi";

export default defineConfig({
  routes: [
    {
      path: "/",
      component: "index",
      name: "系统首页",
      title: "系统首页",
      wrappers: ["@/wrappers/auth"],
    },
    {
      path: "/login",
      component: "login",
      name: "登录",
      title: "登录",
      wrappers: ["@/wrappers/auth"],
    },
    {
      path: "/user",
      component: "user",
      name: "普通用户",
      title: "普通用户",
      wrappers: ["@/wrappers/auth"],
    },
    {
      path: "/admin",
      component: "admin",
      name: "管理用户",
      title: "管理用户",
      wrappers: ["@/wrappers/auth"],
    },
    {
      path: "/tea",
      component: "tea",
      name: "茶产品",
      title: "茶产品",
      wrappers: ["@/wrappers/auth"],
    },
    {
      path: "/fruit",
      component: "fruit",
      name: "水果茶产品",
      title: "水果茶产品",
      wrappers: ["@/wrappers/auth"],
    },
    {
      path: "/products",
      component: "products",
      name: "茶副产品",
      title: "茶副产品",
      wrappers: ["@/wrappers/auth"],
    },
    { path: "/*", component: "404" },
  ],
  plugins: ["@umijs/plugins/dist/react-query"],
  reactQuery: {},
  npmClient: "npm",
  proxy: {
    "/ball/v1/api": {
      target: "http://127.0.0.1:13005",
      changeOrigin: true,
      // pathRewrite: { "^/api": "" },
    },
  },
});
