import axios from 'axios';
import { useMutation, useQuery, useQueryClient } from 'umi';
import { Table ,Button} from 'antd';
import { getUser } from '@/services/user';
import styles from './index.less';

export default function Page() {
  const columns = [
  {
    title: '姓名',
    dataIndex: 'name',
    key: 'name',
  },
  {
    title: '年龄',
    dataIndex: 'age',
    key: 'age',
  },
  {
    title: '住址',
    dataIndex: 'address',
    key: 'address',
  },
 ];
 const toUser = async () => {
   const response = await getUser({type:'0'});
   console.log(response);
  };
  const queryClient = useQueryClient();
  const productsQuery = useQuery(['products'], {
    queryFn() {
      return axios.get('/api/products').then((res) => res.data);
    },
  });
  const productsDeleteMutation = useMutation({
    mutationFn(id: string) {
      return axios.delete(`/api/products/${id}`);
    },
    onSettled: () => {
      queryClient.invalidateQueries({ queryKey: ['products'] });
    },
  });
  if (productsQuery.isLoading) return null;
  return (
    <div>
      <h1 className={styles.title}>茶副产品</h1>
      <Table dataSource={productsQuery.data.data} columns={columns} />
      <Button type="primary" onClick={toUser}>查询</Button>
    </div>
  ); 
}
